<div class="editor-container">

    <div 
    #toolbar
    class="toolbar"
    [style.top.px]="toolbarY"
    [style.left.px]="toolbarX"
    [class.show]="show"
    [class.rendered]="rendered">
        <button type="button" (click)="format('bold')">B</button>
        <button type="button" (click)="format('italic')"><em>I</em></button>
        <button type="button" (click)="format('underline')"><u>U</u></button>
        <button type="button" (click)="format('strikethrough')"><s>S</s></button>
        <button type="button" (click)="convert('h2')">H2</button>
        <button type="button" (click)="convert('h3')">H3</button>
        <button type="button" (click)="format('insertUnorderedList')"><i class="las la-list-ul"></i></button>
        <button type="button" (click)="format('insertOrderedList')"><i class="las la-list-ol"></i></button>
        <button type="button" (click)="format('removeFormat')"><i class="las la-broom"></i></button>
    </div>

    <p class="placeholder" [class.hidden]="placeholderHidden">Comienza a escribir aquí...</p>

    <div 
    #editor 
    class="content" 
    contenteditable="true" 
    (input)="handleInput($event)"
    (mouseup)="mouseUp($event)"
    (click)="checkLength($event)"
    (keydown)="checkSelection($event)"
    (paste)="handlePaste($event)"
    (drop)="$event.preventDefault()"
    [style.min-height.px]="minHeight"></div>
    
</div>